using UnityEngine;
using System.Collections;

public class CheckPointController : MonoBehaviour {

	private bool isActive;
	// Use this for initialization
	void Start () {
		isActive = true;
	}
	
	// Update is called once per frame
	public bool IsActive(){
		return isActive;
	}

	public void Use(){
		isActive = false;
		transform.localScale.Set(0.4f,0.4f,0.4f); 

		this.gameObject.GetComponent<RandomRotator>().enabled = true;
	}
}
